> For the complete documentation index, see [llms.txt](https://archive-vn.docs.klaytn.foundation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://archive-vn.docs.klaytn.foundation/content/operation-guide/chaindata-migration.md).

# Di chuyển dữ liệu chuỗi

💡 Chỉ chạy lệnh di chuyển cho các nút PN và EN (không áp dụng với nút CN)

## Lưu ý trước khi bắt đầu <a href="#things-to-know-before-this-job" id="things-to-know-before-this-job"></a>

* Thông số kỹ thuật yêu cầu là m6i.8xlarge (32 lõi với dung lượng bộ nhớ 128GB) hoặc cao hơn
* 7 ngày để chạy toàn bộ quy trình (Quá trình di chuyển được chia làm 2 phần)
  * Phần 1 - Di chuyển DB sang thư mục mới (Xuất hiện thông báo “Quá trình di chuyển trạng thái đã hoàn tất”)
  * Phần 2 - Tạo khối mới trên thư mục mới (thư mục cũ sẽ bị xóa sau bước này)
* Cần có 500GB dung lượng trống

## Chuyển đến Bảng điều khiển Klaytn

```bash
$ kpn attach klay.ipc

#bắt đầu di chuyển dữ liệu chuỗi
> admin.startStateMigration()
null

# Kiểm tra trạng thái
> admin.stateMigrationStatus

#ngừng di chuyển
> admin.stopStateMigration()

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://archive-vn.docs.klaytn.foundation/content/operation-guide/chaindata-migration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
